patterns
Open an operation to see its authentication, its parameters and the fields of its request and response.
6 operations
GET/v1/jobs/{id}/symbol-table
Whether the job's harness should send the repository's symbol table (shared-memory consent, job kind, freshness).
/v1/jobs/{id}/symbol-tableAuthentication: Job token
Parameters
| Name | Type | Description |
|---|---|---|
idpathrequired | string | |
commit_shaquery | string |
Response 200
| Name | Type | Description |
|---|---|---|
wantedrequired | boolean | |
reasonrequired | enum | Values wanted | not_participating | job_kind | up_to_date | no_repository |
stored_commit_sharequired | string |
PUT/v1/jobs/{id}/symbol-table
The job repository's symbol table as digests, for the anonymization of shared-memory patterns.
/v1/jobs/{id}/symbol-tableAuthentication: Job token
Parameters
| Name | Type | Description |
|---|---|---|
idpathrequired | string |
Request body
| Name | Type | Description |
|---|---|---|
commit_sha | string | |
completerequired | boolean | |
symbol_countrequired | integer | |
key_digestsrequired | array of string | |
part_digestsrequired | array of string |
Response 200
| Name | Type | Description |
|---|---|---|
repository_idrequired | string | |
completerequired | boolean | |
key_countrequired | integer | |
part_countrequired | integer |